Package: groovy.util.slurpersupport

## [Java] Class NamespaceAwareHashMap

- groovy.util.slurpersupport.NamespaceAwareHashMap

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `boolean` | `containsKey(Object key)`
    `` | `String` | `get(Object key)`
    `` | `Map` | `getNamespaceTagHints()`
    `` | `String` | `put(String key, String value)`
    `` | `void` | `putAll(Map<? extends String, ? extends String> m)`
    `` | `String` | `remove(Object key)`
    `` | `void` | `setNamespaceTagHints(Map namespaceTagHints)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class HashMap` | `remove, remove, size, get, put, values, clone, clear, isEmpty, replace, replace, replaceAll, merge, newHashMap, entrySet, putAll, putIfAbsent, compute, forEach, containsKey, computeIfAbsent, keySet, containsValue, getOrDefault, computeIfPresent, equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`
    `class AbstractMap` | `remove, size, get, put, equals, toString, values, hashCode, clear, isEmpty, entrySet, putAll, containsKey, keySet, containsValue, getClass, notify, notifyAll, wait, wait, wait, remove, replace, replace, replaceAll, merge, putIfAbsent, compute, forEach, computeIfAbsent, getOrDefault, computeIfPresent`

- - ### Method Detail

    - #### @Override public boolean containsKey(Object key)

    - #### @Override public String get(Object key)

    - #### public Map getNamespaceTagHints()

    - #### @Override public String put(String key, String value)

    - #### @Override public void putAll(Map<? extends String, ? extends String> m)

    - #### @Override public String remove(Object key)

    - #### public void setNamespaceTagHints(Map namespaceTagHints)